List budget categories
curl --request GET \
--url https://app.sure.am/api/v1/budget_categories \
--header 'X-Api-Key: <api-key>'import requests
url = "https://app.sure.am/api/v1/budget_categories"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.sure.am/api/v1/budget_categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"budget_categories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"budget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "<string>",
"subcategory": true,
"inherits_parent_budget": true,
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>",
"lucide_icon": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"budgeted_spending": "<string>",
"budgeted_spending_cents": 123,
"display_budgeted_spending": "<string>",
"display_budgeted_spending_cents": 123
}
],
"pagination": {
"page": 2,
"per_page": 2,
"total_count": 1,
"total_pages": 1
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}Budget Categories
List budget categories
GET
/
api
/
v1
/
budget_categories
List budget categories
Authorizations
API key for authentication. Generate one from your account settings.
Query Parameters
Page number (default: 1)
Items per page (default: 25, max: 100)
Filter by budget ID
Filter by category ID
Filter budget categories whose budget starts on or after this date
Filter budget categories whose budget ends on or before this date
Was this page helpful?
⌘I